EDIT - bug #6245

Servlet context reports error after automatic update has run
12/06/2016 12:15 PM - Andreas Kohlbecker

Status: Resolved Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmserver Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

This phenomenon occurs always on the production server. On the first run of a new version of the cdmserver the databases are
updated automatically but even if the update was successful the ServletContext reports errors and is stopped:

2016-12-06 12:01:23,489 INFO [eu.etaxonomy.cdm.common.monitor.DefaultProgressMonitor] - Next Task
Update hibernate sequences

2016-12-06 12:01:23,493 INFO [eu.etaxonomy.cdm.common.monitor.DefaultProgressMonitor] - 100.0% don

e (Completed Task: Update hibernate sequences)

2016-12-06 12:01:23,493 INFO [eu.etaxonomy.cdm.common.monitor.DefaultProgressMonitor] - Next Task
Update finished successfully

2016-12-06 12:01:23,493 INFO [eu.etaxonomy.cdm.common.monitor.DefaultProgressMonitor] - Update to

schema version 4.1.0.0.201607300000 and to term version 4.1.0.0.201607300000...Done

2016-12-06 12:01:23,493 INFO [eu.etaxonomy.cdm.database.update.CdmUpdater] - Update finished succe

ssfully

2016-12-06 12:01:24,395 INFO [eu.etaxonomy.cdm.server.instance.CdmInstance] - lifeCycleStarted

2016-12-06 12:01:24,396 WARN [eu.etaxonomy.cdm.server.instance.CdmInstance] - Stopping context 'rl

_moose' due to errors reported in ServletContext

2016-12-06 12:01:24,396 INFO [eu.etaxonomy.cdm.server.instance.CdmInstance] - lifeCycleStopping

2016-12-06 12:01:24,569 WARN [eu.etaxonomy.cdm.persistence.hibernate.CdmListenerIntegrator] - Disi

ntegrate ListenerIntegrator not yet implemented

2016-12-06 12:01:24,572 INFO [eu.etaxonomy.cdm.server.instance.CdmInstance] - lifeCycleStopped

2016-12-06 12:01:24,572 INFO [eu.etaxonomy.cdm.server.instance.CdmInstance] - lifeCycleStarting

History

#1 - 02/22/2022 01:30 PM - Andreas Miiller
- Subject changed from servlet context reports error after automatic update has run to Servlet context reports error after automatic update has run

- Status changed from New to Resolved

Does this error still exist?

#2 - 02/22/2022 01:59 PM - Andreas Kohlbecker

please check the log files on the production server:

egrep 'errors\s*ServletContext' /var/log/cdmserver/cdmserver.log

#3 - 02/22/2022 01:59 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller
